RPi3 with Stretch (armv7) and openframeworks?


#1

I know the old advice was to use the armv6 branch of OF, but now that Raspbian is built on armv7 has that changed? I tried compiling it and got this:

/home/pi/openFrameworks/libs/openFrameworksCompiled/project/makefileCommon/config.shared.mk:207: *** This package doesn't support your platform, probably you downloaded the wrong package?

Just curious if anyone has done this successfully.


#2

we have a hardcoded setting to tell the makefile system that raspbian is always armv6 by now. the processor architecture is armv7 since rpi2 but the os was compiled for armv6 so it’s compatible with rpi1. where have you seen that raspbian is compiled for armv7 now? their about page still mentions armv6: https://www.raspbian.org/RaspbianAbout


#3

Oh dang, that’s my bad. I had run ‘uname -a’ and thought the result was indicative of the OS and not the CPU.

Linux raspberrypi 4.14.69-v7+ #1141 SMP Mon Sep 10 15:26:29 BST 2018 armv7l GNU/Linux

Sorry to waste your time, but thank you for the response! I will try out the archLinux solution.